<?php

namespace Service;

class BlockCard {

    protected $entityManager;

    public function __construct(\Doctrine\ORM\EntityManager $entityManager){
        $this->entityManager = $entityManager;
    }

    public function getCardStatus($CDCONSUMIDOR, $CDCLIENTE){
        $params = array(
            ':CDCONSUMIDOR' => $CDCONSUMIDOR,
            ':CDCLIENTE' => $CDCLIENTE
        );
        return $this->entityManager->getConnection()->fetchAll(\Util\Query::GET_CARD_STATUS, $params);
    }

    public function toggleBlock($IDSITCONSUMI, $CDCLIENTE, $CDCONSUMIDOR){
        $params = array(
            ':IDSITCONSUMI' => $IDSITCONSUMI,
            ':CDCLIENTE' => $CDCLIENTE,
            ':CDCONSUMIDOR' => $CDCONSUMIDOR
        );
        $this->entityManager->getConnection()->executeQuery(\Util\Query::TOGGLE_CARD_BLOCK, $params);
    }

}