function DayDetailsService(Query, GroupedProductsByDayRepository, ProductNutritionalInformationsRepository){

    this.getGroupedProductsByDay = function(CDCLIENTE,CDCONSUMIDOR, DTINI, DTFIM){
        var query = Query.build()
                        .where('CDCLIENTE').equals(CDCLIENTE)
                        .where('CDCONSUMIDOR').equals(CDCONSUMIDOR)
                        .where('DTINI').equals(DTINI)
                        .where('DTFIM').equals(DTFIM);
        return GroupedProductsByDayRepository.download(query);
    };

    this.getNutritionalInformations = function(CDPRODUTO){
        var query = Query.build()
                        .where('CDPRODUTO').equals(CDPRODUTO)
        return ProductNutritionalInformationsRepository.download(query);
    }

    this.getNutritionalInformationsTotal = function(CDCLIENTE,CDCONSUMIDOR,DTMOVEXTCONS){
        var query = Query.build()
                        .where('CDCLIENTE').equals(CDCLIENTE)
                        .where('CDCONSUMIDOR').equals(CDCONSUMIDOR)
                        .where('DTMOVEXTCONS').equals(DTMOVEXTCONS)
        return ProductNutritionalInformationsRepository.download(query);
    }
};

Configuration(function(ContextRegister){
    ContextRegister.register('DayDetailsService', DayDetailsService);
});
